Update shipping method - Fabric

Update shipping method

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/shipping-methods/{shippingMethodId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "code": "SDD",
  "name": "Express Delivery",
  "addressType": "APO",
  "attributes": {
    "carrier": "FedEx",
    "type": "Next Day"
  },
  "carrier": "FedEx",
  "cartValue": {
    "max": 3.1,
    "min": 2.1
  },
  "cost": 20.5,
  "createdBy": "User1",
  "currency": "USD",
  "cutoffTime": 1330,
  "description": "Express Delivery 2 - 5 days",
  "dimension": {
    "max": {
      "height": 2.4,
      "length": 4.6,
      "uom": "EA",
      "width": 3.5
    },
    "min": {
      "height": 2.4,
      "length": 4.6,
      "uom": "EA",
      "width": 3.5
    }
  },
  "isDeleted": false,
  "maximumDays": 5,
  "minimumDays": 2,
  "region": "CA",
  "taxCode": "FR01",
  "updatedBy": "User2",
  "weight": {
    "max": 3.1,
    "min": 2.1
  }
}
'  

Python Example

import requests

url = "https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}"

payload = {
    "code": "SDD",
    "name": "Express Delivery",
    "addressType": "APO",
    "attributes": {
        "carrier": "FedEx",
        "type": "Next Day"
    },
    "carrier": "FedEx",
    "cartValue": {
        "max": 3.1,
        "min": 2.1
    },
    "cost": 20.5,
    "createdBy": "User1",
    "currency": "USD",
    "cutoffTime": 1330,
    "description": "Express Delivery 2 - 5 days",
    "dimension": {
        "max": {
            "height": 2.4,
            "length": 4.6,
            "uom": "EA",
            "width": 3.5
        },
        "min": {
            "height": 2.4,
            "length": 4.6,
            "uom": "EA",
            "width": 3.5
        }
    },
    "isDeleted": False,
    "maximumDays": 5,
    "minimumDays": 2,
    "region": "CA",
    "taxCode": "FR01",
    "updatedBy": "User2",
    "weight": {
        "max": 3.1,
        "min": 2.1
    }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    code: 'SDD',
    name: 'Express Delivery',
    addressType: 'APO',
    attributes: {carrier: 'FedEx', type: 'Next Day'},
    carrier: 'FedEx',
    cartValue: {max: 3.1, min: 2.1},
    cost: 20.5,
    createdBy: 'User1',
    currency: 'USD',
    cutoffTime: 1330,
    description: 'Express Delivery 2 - 5 days',
    dimension: {
      max: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5},
      min: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5}
    },
    isDeleted: false,
    maximumDays: 5,
    minimumDays: 2,
    region: 'CA',
    taxCode: 'FR01',
    updatedBy: 'User2',
    weight: {max: 3.1, min: 2.1}
  })
};

fetch('https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example




Response Examples

200

{
  "code": "SDD",
  "name": "Express Delivery",
  "addressType": "APO",
  "attributes": {
    "carrier": "FedEx",
    "type": "Next Day"
  },
  "carrier": "FedEx",
  "cartValue": {
    "max": 3.1,
    "min": 2.1
  },
  "channelId": "12",
  "configuredBy": "User3",
  "cost": 20.5,
  "createdAt": "2022-08-01T20:03:28.483Z",
  "createdBy": "User1",
  "currency": "USD",
  "cutoffTime": 1330,
  "description": "Express Delivery 2 - 5 days",
  "dimension": {
    "max": {
      "height": 2.4,
      "length": 4.6,
      "uom": "EA",
      "width": 3.5
    },
    "min": {
      "height": 2.4,
      "length": 4.6,
      "uom": "EA",
      "width": 3.5
    }
  },
  "isDeleted": false,
  "maximumDays": 5,
  "minimumDays": 2,
  "region": "CA",
  "shippingMethodId": "5349b4ddd2781d08c09890f4",
  "taxCode": "FR01",
  "updatedAt": "2022-08-01T20:03:28.483Z",
  "updatedBy": "User2",
  "weight": {
    "max": 3.1,
    "min": 2.1
  }
}

400

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}

401

{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}

404

{
  "message": "Shipping method not found",
  "type": "CLIENT_ERROR"
}

500

{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}